headless lms

Mute a space, or clear your mute

PUT /api/member/spaces/{spaceId}/subscription. Mute a space, or clear your mute. Headless LMS Communities API reference.

PUT
/api/member/spaces/{spaceId}/subscription

For anyone who can open the space. muted stops its activity notifying you, until mutedUntil when given; mentions, actions on you and moderation work still notify. none clears the mute.

Path Parameters

spaceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Mute it: its activity stops notifying you, except mentions and actions on you

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/member/spaces/string/subscription" \  -H "Content-Type: application/json" \  -d '{    "state": "muted"  }'
null
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}